Bug 124482 - i386 and x86_64 both use /etc/gtk-2.0/{gdk-pixbuf.loaders,gtk.immodules}
i386 and x86_64 both use /etc/gtk-2.0/{gdk-pixbuf.loaders,gtk.immodules}
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
:
Depends On:
Blocks: 124483 124484 124485
  Show dependency treegraph
 
Reported: 2004-05-26 17:19 EDT by Nicholas Miell
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-25 23:41:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicholas Miell 2004-05-26 17:19:03 EDT
Both the 32bit and 64bit versions of gtk2 use the same configuration
files for pixbuf loaders and IM module libraries.

Things go wrong with 32bit apps try to load 64bit libraries (and the
reverse).

So, gtk2 needs the same treatment pango got -- arch-specific config
files go in /etc/pango/$(HOST_TRIPLET)/
Comment 1 Matthias Clasen 2004-09-16 10:29:59 EDT
This is done in fc3. We don't plan to backport it to fc2.

Note You need to log in before you can comment on or make changes to this bug.